<?php

/**
 * This file contains \QUI\Bricks\Controls\IntervieweeData
 */

namespace QUI\Interview\Controls;

use QUI;

/**
 * Class IntervieweeData
 *
 * @author  Dominik Chrzanowski
 * @package quiqqer/interview
 *
 */
class IntervieweeData extends QUI\Control
{
    /**
     * constructor
     *
     * @param array $attributes
     */
    public function __construct($attributes = [])
    {
        parent::__construct($attributes);
    }

    /**
     * (non-PHPdoc)
     *
     * @see \QUI\Control::create()
     */
    public function getBody()
    {
        $Engine = QUI::getTemplateManager()->getEngine();
        $Site   = $this->getSite();

        $intervieweeName           = $Site->getAttribute('quiqqer.interview.settings.intervieweeData.name');
        $intervieweeAdditionalInfo = $Site->getAttribute('quiqqer.interview.settings.intervieweeData.additionalInfo');
        $intervieweeAvatar         = $Site->getAttribute('quiqqer.interview.settings.intervieweeData.avatar');
        $intervieweeDescription    = $Site->getAttribute('quiqqer.interview.settings.intervieweeData.description');

        $css = '/IntervieweeData.largeImageTop.css';
        $html = '/IntervieweeData.largeImageTop.html';

        $Engine->assign([
            'intervieweeName'           => $intervieweeName,
            'intervieweeAdditionalInfo' => $intervieweeAdditionalInfo,
            'intervieweeAvatar'         => $intervieweeAvatar,
            'intervieweeDescription'    => $intervieweeDescription,
        ]);

        $this->addCSSFile(
        dirname(__FILE__) . $css
        );

        return $Engine->fetch(dirname(__FILE__) . $html);
    }

    /**
     * @return mixed|QUI\Projects\Site
     *
     * @throws QUI\Exception
     */
    protected function getSite()
    {
        if ($this->getAttribute('Site')) {
            return $this->getAttribute('Site');
        }

        $Site = QUI::getRewrite()->getSite();

        $this->setAttribute('Site', $Site);

        return $Site;
    }
}
